---
lang: en
title: 'API docs: context.describeinjectedarguments'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.describeinjectedarguments.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [describeInjectedArguments](./context.describeinjectedarguments.md)

## describeInjectedArguments() function

Return an array of injection objects for parameters

<b>Signature:</b>

```typescript
export declare function describeInjectedArguments(target: Object, method?: string): Readonly<Injection>[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>Object</code> | The target class for constructor or static methods, or the prototype for instance methods |
|  method | <code>string</code> | Method name, undefined for constructor |

<b>Returns:</b>

`Readonly<Injection>[]`


